Package org.apache.xmlbeans.impl.tool

## Class SchemaResourceManager

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.SchemaImportResolver
  - - org.apache.xmlbeans.impl.tool.BaseSchemaResourceManager
    - - org.apache.xmlbeans.impl.tool.SchemaResourceManager

-     public class SchemaResourceManager
      extends BaseSchemaResourceManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaResourceManager​(File directory)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `deleteFile​(String filename)` | Deletes a file.
    `protected boolean` | `fileExists​(String filename)` | Returns true if the given filename exists.
    `protected String[]` | `getAllXSDFilenames()` | Returns a list of all the XSD filesnames in the project.
    `protected InputStream` | `inputStreamForFile​(String filename)` | Gets the data in the given filename as an InputStream.
    `static void` | `main​(String[] args)` |
    `static void` | `printUsage()` |
    `protected void` | `warning​(String msg)` | Sends messages to System.out.
    `protected void` | `writeInputStreamToFile​(InputStream input, String filename)` | Writes an entire file in one step.

    - ### Methods inherited from class org.apache.xmlbeans.impl.tool.BaseSchemaResourceManager

      `getDefaultSchemaDir, getIndexFilename, init, lookupResource, process, processAll, reportActualNamespace, syncCacheWithLocalXsdFiles, writeCache`

    - ### Methods inherited from class org.apache.xmlbeans.impl.tool.SchemaImportResolver

      `resolveImports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaResourceManager

          public SchemaResourceManager​(File directory)

  - ### Method Detail

    - #### printUsage

          public static void printUsage()

    - #### main

          public static void main​(String[] args)
                           throws IOException

      Throws:
        `IOException`

    - #### warning

          protected void warning​(String msg)

      Sends messages to System.out.
      Specified by:
        `warning` in class `BaseSchemaResourceManager`

    - #### fileExists

          protected boolean fileExists​(String filename)

      Returns true if the given filename exists. The filenames are of the form "/foo/bar/zee.xsd" and should be construed as rooted at the root of the project.
      Specified by:
        `fileExists` in class `BaseSchemaResourceManager`

    - #### inputStreamForFile

          protected InputStream inputStreamForFile​(String filename)
                                            throws IOException

      Gets the data in the given filename as an InputStream.
      Specified by:
        `inputStreamForFile` in class `BaseSchemaResourceManager`
      Throws:
        `IOException`

    - #### writeInputStreamToFile

          protected void writeInputStreamToFile​(InputStream input,
                                                String filename)
                                         throws IOException

      Writes an entire file in one step. An InputStream is passed and copied to the file.
      Specified by:
        `writeInputStreamToFile` in class `BaseSchemaResourceManager`
      Throws:
        `IOException`

    - #### deleteFile

          protected void deleteFile​(String filename)

      Deletes a file. Sometimes immediately after writing a new file we notice that it's exactly the same as an existing file and we delete it. We never delete a file that was given to us by the user.
      Specified by:
        `deleteFile` in class `BaseSchemaResourceManager`

    - #### getAllXSDFilenames

          protected String[] getAllXSDFilenames()

      Returns a list of all the XSD filesnames in the project.
      Specified by:
        `getAllXSDFilenames` in class `BaseSchemaResourceManager`